Bug 668925 - [abrt] gedit-2:2.30.4-1.fc14: synctex.py:252:remove_helper:KeyError: 'file:///home/ygor/inicia%C3%A7%C3%A3o/Anderson/_main.cpp'
[abrt] gedit-2:2.30.4-1.fc14: synctex.py:252:remove_helper:KeyError: 'file://...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
14
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:6ceea3c7
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-11 23:07 EST by Ygor Amaral
Modified: 2012-08-16 16:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (813 bytes, text/plain)
2011-01-11 23:07 EST, Ygor Amaral
no flags Details

  None (edit)
Description Ygor Amaral 2011-01-11 23:07:02 EST
abrt version: 1.1.14
architecture: x86_64
cmdline: gedit --sm-client-id 10c2d96172000129417687000000024910054 --sm-client-state-file /home/ygor/.config/session-state/gedit-1294182704.desktop
component: gedit
executable: /usr/lib64/gedit-2/plugins
kernel: 2.6.35.10-74.fc14.x86_64
package: gedit-2:2.30.4-1.fc14
reason: synctex.py:252:remove_helper:KeyError: 'file:///home/ygor/inicia%C3%A7%C3%A3o/Anderson/_main.cpp'
release: Fedora release 14 (Laughlin)
time: 1294183314
uid: 500

backtrace
-----
synctex.py:252:remove_helper:KeyError: 'file:///home/ygor/inicia%C3%A7%C3%A3o/Anderson/_main.cpp'

Traceback (most recent call last):
  File "/usr/lib64/gedit-2/plugins/synctex/synctex.py", line 304, in deactivate
    window.get_data(WINDOW_DATA_KEY).deactivate()
  File "/usr/lib64/gedit-2/plugins/synctex/synctex.py", line 264, in deactivate
    self.remove_helper(view)
  File "/usr/lib64/gedit-2/plugins/synctex/synctex.py", line 252, in remove_helper
    del self._plugin.view_dict[helper.gfile.get_uri()]
KeyError: 'file:///home/ygor/inicia%C3%A7%C3%A3o/Anderson/_main.cpp'

Local variables in innermost frame:
self: <synctex.synctex.SynctexWindowHelper instance at 0x233c5a8>
helper: <synctex.synctex.SynctexViewHelper instance at 0x260fcb0>
view: <gedit.View object at 0x2616a50 (GeditView at 0x2658000)>

How to reproduce
-----
1.
2.
3.
I don't know.
Comment 1 Ygor Amaral 2011-01-11 23:07:05 EST
Created attachment 472945 [details]
File: backtrace
Comment 2 Paul Lange 2011-01-23 18:45:03 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
don't know
Comment 3 Ygor Amaral 2011-03-26 21:22:30 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.just closed a tab from a TCL script.
2.
3.
Comment 4 Fedora End Of Life 2012-08-16 16:28:31 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.